@import url('https://fonts.googleapis.com/css2?family=Mynerve&family=Roboto:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@700&display=swap');

body {
    font-family: 'Roboto', sans-serif;
    background-color: #CAF0F8;
    color: #03045E;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
}

header {
    text-align: center;
    position: static;
    top: 0;
    font-family: 'Poppins', sans-serif;
    background-color: #0077B6;
    padding: 0.75rem;
    width: 100%; 
}

h1 {
    margin-bottom: 1rem;
}

nav ul {
    display: flex;
    justify-content: space-evenly;
}

li {
    list-style: none;
}

a {
    font-size: 1.5rem;
    color: #fff;
}

#name-heading {
    margin-bottom: 1.5rem;
}

#name-heading a {
    text-decoration: none;
    font-size: 3rem;
}

main {
    padding: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.first-about-section {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.first-about-section p {
    max-width: 50rem;
    margin-bottom: 1rem;
}

img {
    border-radius: 10px;
    border:1px solid #023E8A;
    margin-bottom: 2rem;
}

.portfolio-paragraph {
    margin-bottom: 2rem;
}

footer {
    background-color: #023E8A;
    color: #fff;
    text-align: center;
    padding: 2rem;
    border-top: 1px solid #685155;
    width: 100%;
}

.frontendmentor-link {
    font-size: 1rem;
    transition: all .3s;
}
.frontendmentor-link:hover {
    color: #D4CDF4;
}

.contact-main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
}

#name, #email, #comments {
    width: 100%;
    border-radius: 10px;
    border: none;
    background-color: #00B4D8;
    color: #fff;
    padding: 0.5rem 1rem;
}

#name::placeholder, #email::placeholder, #comments::placeholder {
    color: #fff;
}

#submit {
    margin: 1rem;
    background-color: #FB6F92;
    font-family: inherit;
    padding: 0.5rem 1.5rem;
    border: none;
    border-radius: 25px;
    transition: all .3s;
    font-size: 1rem;
    color: #fff;
    width: 10rem;
}

#submit:hover {
    background-color: #f10742;
    cursor: pointer;
    transform: translateY(-2px);
}

.bio-div, .home-main {
    background-color: #fff;
    padding: 1.5rem;
    border-radius: 20px;
}

.home-main {
    margin: 2rem;
}

.mobile-nav {
    background-color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 75vh;
    width: 60vw;
    position: absolute;
    top: 7rem;
    left: -62vw;
    text-align: left;
    border-radius: 0 0 15px 0;
    font-family: 'Poppins', sans-serif;
    box-shadow: 1px 1px 10px #023d8a62;
    transition: all linear 0.3s;
}

.mobile-nav ul {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    height: 65%;
}

.mobile-nav a {
    color: #03045E;
    font-size: 2rem;
}

.x-icon {
    display: none;
} 

.menu-icon {
    display: none;
}

i {
    position: absolute;
    left: 2rem;
    top: 3rem;
}

@media screen and (max-width: 54.688em) {

    header {
        height: 7rem;
    }

    .desktop-nav {
        display: none;
    }

    .desktop-nav a {
        display: none;
    }

    .menu-icon {
        display: block;
    }

    .menu-icon:hover, .x-icon:hover {
        cursor: pointer;
    }

    #name-heading {
        margin: auto;
        white-space: nowrap;
    }
}